#include <TeensyView.h>
#include <NXPMotionSense.h>

#define PIN_RESET 15
#define PIN_DC    21
#define PIN_CS    20
#define PIN_SCK   13
#define PIN_MOSI  11

TeensyView oled(PIN_RESET, PIN_DC, PIN_CS, PIN_SCK, PIN_MOSI);
NXPMotionSense imu;

int ax, ay, az;
int gx, gy, gz;
int mx, my, mz;

void setup() 
{
  oled.begin();
  oled.clear(PAGE);
  oled.flipVertical(1);
  oled.flipHorizontal(1);
  oled.display();
  imu.begin();
}

void loop() 
{
  if (imu.available())
  {
    imu.readMotionSensor(ax, ay, az, gx, gy, gz, mx, my, mz);
    oled.clear(PAGE);
    oled.setCursor(0,0);
    oled.print(ax);
    oled.print(" ");
    oled.print(ay);
    oled.print(" ");
    oled.print(az);

    oled.setCursor(0,10);
    oled.print(gx);
    oled.print(" ");
    oled.print(gy);
    oled.print(" ");
    oled.print(gz);

    oled.setCursor(0,20);
    oled.print(mx);
    oled.print(" ");
    oled.print(my);
    oled.print(" ");
    oled.print(mz);
    oled.display();
  }
}
